%define origname mysql++

Name: lib%origname
Version: 1.7.9
Release: alt5

Summary: C++ API for MySQL
License: LGPL
Group: System/Libraries

Url: http://www.mysql.com/downloads/api-mysql++.html
Source: %origname-%version.tar.gz
Patch0: http://www.mysql.com/Downloads/mysql++/%origname-gcc-3.0.patch.gz
Patch1: %origname-gcc-3.2.patch.gz
Patch2: %origname-gcc-3.2.2.patch.gz

Packager: Michael Shigorin <mike@altlinux.ru>

Summary(ru_RU.KOI8-R): C++ API  MySQL
Summary(uk_UA.KOI8-U): C++ API  MySQL

# Automatically added by buildreq on Tue Jan 20 2004
BuildRequires: hostinfo libMySQL-devel zlib-devel

BuildRequires: automake_1.4 autoconf_2.5 gcc3.2-c++ libstdc++3.2-devel

%description
The goal of this API is to make working with queries as easy as
working with other STL Containers.

%description -l ru_RU.KOI8-R
  API        
 STL.

%description -l uk_UA.KOI8-U
  API  צ      
 STL.

%package devel
Summary: C++ API for MySQL -- development part
Summary(ru_RU.KOI8-R): C++ API  MySQL --  
Summary(uk_UA.KOI8-U): C++ API  MySQL --  
Group: Development/C++
Requires: %name = %version-%release

%description devel
The goal of this API is to make working with queries as easy as
working with other STL Containers.

This package contains files needed to compile software
using %name as a share library.

%description devel -l ru_RU.KOI8-R
  API        
 STL.

   ,     , 
 %name   .

%description devel -l uk_UA.KOI8-U
  API  צ      
 STL.

  ͦ ,  ҦΦ  Цæ , ˦
 %name   ¦̦.

%if_enabled static
%package devel-static
Summary: C++ API for MySQL -- static development library
Summary(ru_RU.KOI8-R): C++ API  MySQL --   ( )
Summary(uk_UA.KOI8-U): C++ API  MySQL --   ( )
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
The goal of this API is to make working with queries as easy as
working with other STL Containers.

This package contains files needed to compile software
using %name in a statically-linked form.

%description devel-static -l ru_RU.KOI8-R
  API        
 STL.

   ,     , 
  %name .

%description devel-static -l uk_UA.KOI8-U
  API  צ      
 STL.

  ͦ ,  ҦΦ  Цæ , ˦
  %name .

%endif

%prep
%setup -q -n %origname-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
unset CC CXX
%set_gcc_version 3.2
touch ./COPYING ./INSTALL ./NEWS ./AUTHORS ./ChangeLog
%__cp %_datadir/libtool/ltmain.sh .
%__aclocal-1.4
%__automake-1.4 --add-missing
%__autoconf-2.5
%configure

%build
%make_build

%install
%__mkdir_p %buildroot{%_libdir,%_includedir}
%__install -m644 sqlplusint/undef_short %buildroot%_includedir/
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig
%post -n %name-devel -p %post_ldconfig
%postun -n %name-devel -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc README

%files devel
%_libdir/*.so
%_includedir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Feb 03 2004 Michael Shigorin <mike@altlinux.ru> 1.7.9-alt5
- force gcc3.2 build (available gcc3.3 patch is broken)

* Mon Dec 08 2003 Michael Shigorin <mike@altlinux.ru> 1.7.9-alt4
- removed *.la; don't build static subpackage by default
- fixed descriptions
- fixed Url (thanks to Andrey S Pankov <casper AT casper org ua>)
- added sqlplusint/undef_short to includes per Andrey's request

* Mon Oct 06 2003 Michael Shigorin <mike@altlinux.ru> 1.7.9-alt3
- added patch for gcc-3.2.2+ from 
  http://www.mysql.com/downloads/api-mysql++.html

* Thu Sep 11 2003 Michael Shigorin <mike@altlinux.ru> 1.7.9-alt2
- rebuild (updated build requires, spec cleanup)
- patch2 removed

* Fri Mar 07 2003 Michael Shigorin <mike@altlinux.ru> 1.7.9-alt1
- built for ALT Linux
- based on package for SuSE 8 (incl. gcc3 patches)
- *heavy* spec cleanups

* Thu Oct 17 2002 Philipp Berndt <philipp.berndt@gmx.net>
- packaged

